body {
    background-color: #030303; 
    color: #00ff00;
    font-family: 'Courier New', Courier, monospace;
    padding: 20px; 
    margin: 0; 
    overflow-x: hidden;
    text-shadow: 0 0 5px #00ff00;
}
body::after {
    content: " "; 
    display: block; 
    position: fixed;
    top: 0; left: 0; bottom: 0; right: 0;
    background: linear-gradient(rgba(18, 16, 16, 0) 50%, rgba(0, 0, 0, 0.25) 50%), 
                linear-gradient(90deg, rgba(255, 0, 0, 0.06), rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
    z-index: 2; 
    background-size: 100% 2px, 3px 100%; 
    pointer-events: none;
}
#terminal, #editor { max-width: 900px; margin: 0 auto; position: relative; z-index: 3; }
.output-line { margin-bottom: 10px; white-space: pre-wrap; line-height: 1.5; }
.input-line { display: flex; align-items: center; margin-top: 10px; }
.prompt { color: #00ff00; margin-right: 10px; font-weight: bold; white-space: nowrap; }
input[type="text"] {
    background-color: transparent; border: none; color: #00ff00;
    font-family: 'Courier New', Courier, monospace; font-size: 16px;
    flex-grow: 1; outline: none; caret-color: #00ff00; text-shadow: 0 0 5px #00ff00;
}
.error-msg { color: #ff3333; text-shadow: 0 0 5px #ff3333; }
.system-msg { color: #00aa00; white-space: pre-wrap; text-shadow: none; }
.ascii-art { color: #00ff00; font-weight: bold; }

#editor { display: none; }
#editor-textarea {
    width: 100%; height: 75vh; background-color: rgba(10, 10, 10, 0.8); color: #00ff00;
    font-family: 'Courier New', Courier, monospace; font-size: 16px;
    border: 1px solid #00ff00; padding: 15px; outline: none;
    resize: vertical; margin-top: 15px; box-sizing: border-box; text-shadow: 0 0 3px #00ff00;
}
.editor-header {
    background-color: #00ff00; color: #000; padding: 5px 10px; font-weight: bold; text-shadow: none;
}

/* --- FITUR BARU: ANIMASI FOOTER & TOMBOL COPY --- */
#hacker-footer {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: #030303;
    border-top: 1px solid #00ff00;
    padding: 5px 15px;
    font-size: 13px;
    color: #00aa00;
    z-index: 999;
    display: none; /* Disembunyikan sebelum login */
    justify-content: space-between;
    box-sizing: border-box;
    font-family: 'Courier New', Courier, monospace;
}
#footer-status { width: 50%; font-weight: bold; }
#footer-bar { width: 50%; text-align: right; }
#terminal { padding-bottom: 40px; /* Jarak agar text tidak tertutup footer */ }

.copy-btn {
    background-color: #005500;
    color: #00ff00;
    border: 1px solid #00ff00;
    font-size: 11px;
    padding: 2px 6px;
    margin-left: 5px;
    cursor: pointer;
    border-radius: 3px;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
    transition: 0.2s;
}
.copy-btn:hover {
    background-color: #00ff00;
    color: #000;
}